Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class GuiSelectWorld

    java.lang.Object
      net.minecraft.src.Gui
          net.minecraft.src.GuiScreen
              net.minecraft.src.GuiSelectWorld

    public class GuiSelectWorld

extends GuiScreen

Field Summary

Fields inherited from class net.minecraft.src.GuiScreen
`allowUserInput, field_90017_e, guiParticles, height, width`

Constructor Summary
`GuiSelectWorld(GuiScreen par1GuiScreen)`

Method Summary
`void` | `confirmClicked(boolean par1, int par2)`
`void` | `drawScreen(int par1, int par2, float par3)` Draws the screen and all the components in it.
`static GuiYesNo` | `getDeleteWorldScreen(GuiScreen par0GuiScreen, String par1Str, int par2)` Gets a GuiYesNo screen with the warning, buttons, etc.
`void` | `initButtons()` intilize the buttons for this GUI
`void` | `initGui()` Adds the buttons (and other controls) to the screen in question.
`void` | `selectWorld(int par1)` Gets the selected world.

Methods inherited from class net.minecraft.src.GuiScreen
`doesGuiPauseGame, drawBackground, drawDefaultBackground, drawWorldBackground, getClipboardString, handleInput, handleKeyboardInput, handleMouseInput, isCtrlKeyDown, isShiftKeyDown, onGuiClosed, setClipboardString, setWorldAndResolution, updateScreen`

Methods inherited from class net.minecraft.src.Gui
`drawCenteredString, drawRect, drawString, drawTexturedModalRect`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GuiSelectWorld

    public GuiSelectWorld(GuiScreen par1GuiScreen)

Method Detail

### initGui

    public void initGui()

  Adds the buttons (and other controls) to the screen in question.

  Overrides:
    `initGui` in class `GuiScreen`

### initButtons

    public void initButtons()

  intilize the buttons for this GUI

### selectWorld

    public void selectWorld(int par1)

  Gets the selected world.

### confirmClicked

    public void confirmClicked(boolean par1,
                               int par2)

  Overrides:
    `confirmClicked` in class `GuiScreen`

### drawScreen

    public void drawScreen(int par1,
                           int par2,
                           float par3)

  Draws the screen and all the components in it.

  Overrides:
    `drawScreen` in class `GuiScreen`

### getDeleteWorldScreen

    public static GuiYesNo getDeleteWorldScreen(GuiScreen par0GuiScreen,
                                                String par1Str,
                                                int par2)

  Gets a GuiYesNo screen with the warning, buttons, etc.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD